Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Enum IncidenceMatrixGTSource

    java.lang.Object
      java.lang.Enum<IncidenceMatrixGTSource>
          umontreal.iro.lecuyer.contactcenters.msk.params.IncidenceMatrixGTSource

All Implemented Interfaces:
  Serializable, Comparable<IncidenceMatrixGTSource>

    public enum IncidenceMatrixGTSource

extends Enum<IncidenceMatrixGTSource>

Java class for IncidenceMatrixGTSource.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="IncidenceMatrixGTSource">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="incidenceMatrixTG"/>
         <enumeration value="ranksGT"/>
         <enumeration value="groupToTypeMap"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`GROUP_TO_TYPE_MAP` Element
`INCIDENCE_MATRIX_TG` Constructs the group-to-type incidence matrix by transposing the type-to-group matrix.
`RANKS_GT` Creates an incidence matrix by setting each element

Method Summary
`static IncidenceMatrixGTSource` | `fromValue(String v)`
`String` | `value()`
`static IncidenceMatrixGTSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IncidenceMatrixGTSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCIDENCE_MATRIX_TG

    public static final IncidenceMatrixGTSource INCIDENCE_MATRIX_TG

  Constructs the group-to-type incidence matrix by transposing the type-to-group matrix.

### RANKS_GT

    public static final IncidenceMatrixGTSource RANKS_GT

  Creates an incidence matrix by setting each element

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">(i,k)</i>

  to

       <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">true</tt>

  if and only if the corresopnding rank is finite.

### GROUP_TO_TYPE_MAP

    public static final IncidenceMatrixGTSource GROUP_TO_TYPE_MAP

  Element

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">(i,k)</i>

  of the incidence matrix is

       <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">true</tt>

  if and only contact type

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">k</i>

  is included in the list for agent group

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">i.</i>

Method Detail

### values

    public static IncidenceMatrixGTSource[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IncidenceMatrixGTSource c : IncidenceMatrixGTSource.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IncidenceMatrixGTSource valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static IncidenceMatrixGTSource fromValue(String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.